<?php

namespace app\api\controller\Enrol;

use app\BaseController;
use app\common\model\Enrol\SignUpProcess as ModelSignUpProcess;
use app\Request;
use think\Validate;
use think\exception\ValidateException;
use think\facade\Filesystem;
use app\common\arw\adjfut\src\Excel;
use app\common\arw\adjfut\src\UploadFile;
use think\facade\Db;
use app\common\exception\Tool;
use think\facade\Env;


class SignUpProcess extends BaseController
{
    /**
     * 获取报名流程列表
     */
    public function getSignUpProcessList(Request $request): array
    {
        $params = $request->param();
        $con = [];

        $query = ModelSignUpProcess::where($con)
            ->field([
                'sign_up_process_id',
                'sign_up_process_title',
                'sign_up_process_icon',
                'sign_up_process_intro',
                'sign_up_process_sort'
            ])
            ->order('sign_up_process_sort', 'asc')
            ->select();



        return msg(0, "获取报名流程列表成功!", [
            'data' => $query,
            'count' => count($query)
        ]);
    }

}
